unit Ccerrors;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Dialogs;

type
  TBtnBottomDlg = class(TForm)
    OKBtn: TBitBtn;
    Bevel1: TBevel;
    Image1: TImage;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

{ This is (eventually) a custom error dialog }
procedure ErrorDialog( TheErrorString : String );
{ This is a generic runtime error message function }
function GetIOErrorMessage( TheCode : Integer ) : String;

implementation

{$R *.DFM}

procedure ErrorDialog( TheErrorString : String );
begin
  MessageDlg( TheErrorString , mtError , [mbok] , 0 );
end;

{ This is a generic runtime error message function }
function GetIOErrorMessage( TheCode : Integer ) : String;
begin
  case TheCode of
    2	: GetIOErrorMessage := 'File not found';
    3	: GetIOErrorMessage := 'Path not found';
    4	: GetIOErrorMessage := 'Too many open files';
    5	: GetIOErrorMessage := 'File access denied';
    6	: GetIOErrorMessage := 'Invalid file handle';
    12	: GetIOErrorMessage := 'Invalid file access code';
    15	: GetIOErrorMessage := 'Invalid drive number';
    16  : GetIOErrorMessage := 'Cannot remove current directory';
    17	: GetIOErrorMessage := 'Cannot rename across drives';
    100	: GetIOErrorMessage := 'Disk read error';
    101	: GetIOErrorMessage := 'Disk write error';
    102	: GetIOErrorMessage := 'File not assigned';
    103	: GetIOErrorMessage := 'File not open';
    104	: GetIOErrorMessage := 'File not open for input';
    105	: GetIOErrorMessage := 'File not open for output';
  end;
end;

end.
